Results 1 to 10 of 10

Thread: NextGen COLLADA + Maya 2008 on Mac: Won't export Constraints

  1. #1
    Junior Member
    Join Date
    May 2009
    Location
    San Francisco, CA, USA
    Posts
    4

    NextGen COLLADA + Maya 2008 on Mac: Won't export Constraints

    I've been trying for the past several days to export a rigged and animated model from Maya 2008 via COLLADA for playback in Flash using Away3D, and am having very little luck. I'm on a Macbook Pro 2.8GHz Intel Core Duo..

    ATTEMPT #1
    Initially, I attempted to install COLLADA Maya 3.05B (Mac Binaries), since posts I'd read on various forums suggested that individuals who used that version w/ their Macs had success. I downloaded the zip from the location below, and tried to install it:
    http://www.feelingsoftware.com/componen ... 0/lang,en/

    When I attempted to install (using Terminal, as instructed in the "InstallationInstructions.txt" within the unzipped directory), I received the following error:
    cp: Output/Release/COLLADA_m2008.bundle: No such file or directory
    chmod: /Users/Shared/Autodesk/maya/2008/plug-ins/COLLADA.bundle\r: No such file or directory


    I assume this was because there was no sub-directory titled "Output" within the directory I ran the command from (the unzipped dir). There was, however, a sub-directory titled "build" that contained a sub-folder named "Release" that had the .bundle files within it.

    So I decided to rename "build" to "Output", and re-ran the command in Terminal. I received no error messages this time, and found that an item named "COLLADA.bundle" had indeed been installed in the appropriate location. However, once I opened Maya, the Plugin Manager doesn't recognize its existence.

    ATTEMPT #2
    I searched some more online, and found the following page which suggested that Mac users install the COLLADAMaya NextGen (Beta). The suggestion is for Maya 2009 users, which I am not. However, seeing that I had no success with the 3.05B release, I decided to try this option.
    http://dev.papervision3d.org/2008/05/02 ... dia-cg-20/

    It installed successfully, and I can export using the plugin in Maya 2008.

    However, with that success came a very irritating problem. When I attempt to export a rigged character (complete with control curves constrained to the joints - the very typical & common way animators rig & animate characters), I get errors showing that "export of constraints is not supported". See the error from Maya's script editor just below:
    raYFov=1;" -typ "COLLADA nextgen exporter" -pr -es "/Users/telene/Documents/maya/projects/Ubi_Testing/data/worm_locAnim.dae";
    // Error: Export of constraints not supported: head_parentConstraint1 //
    // Error: Export of constraints not supported: spine2_parentConstraint1 //
    // Error: Export of constraints not supported: spine1_parentConstraint1 //
    // Error: Export of constraints not supported: toe_parentConstraint1 //
    // Error: Export of constraints not supported: root_parentConstraint1 //
    // Time to export into file "/Users/telene/Documents/maya/projects/Ubi_Testing/data/worm_locAnim.dae": 83650
    //
    // Export successful! //
    // Result: /Users/telene/Documents/maya/projects/Ubi_Testing/data/worm_locAnim.dae //
    // Result: 1 //


    I'm a bit confused by this, as I've successfully exported fully rigged (complete with a constrained control rig) via COLLADA through Maya before. This was at my previous job, and I was on a PC vs. a Mac, but I don't see why that should make a difference.

    Now, I did do a test where I animated the bones directly, exported using the NextGen exporter, and had success, but I would very very much prefer to use a control rig. It's the standard way to animate, and I know COLLADA supported the export before.

    So, I'm basically at an impasse here. I need to get an animated model exported for playback in Away3D, and just don't know how to proceed.

    Has anyone else had similar issues, or can anyone offer any suggestions?

    Many thanks in advance!

    --
    Telene Johnston
    3D Artist
    http://vulpinedesign.com/
    --
    Telene Johnston
    3D Artist
    http://vulpinedesign.com/

  2. #2
    Senior Member
    Join Date
    Aug 2004
    Location
    California
    Posts
    771

    Re: NextGen COLLADA + Maya 2008 on Mac: Won't export Constraints

    Quote Originally Posted by telene
    ATTEMPT #1
    Initially, I attempted to install COLLADA Maya 3.05B (Mac Binaries), since posts I'd read on various forums suggested that individuals who used that version w/ their Macs had success. I downloaded the zip from the location below, and tried to install it:
    http://www.feelingsoftware.com/componen ... 0/lang,en/
    Did you contact Feeling Software about your problem? Or post to their forum?

  3. #3
    Senior Member
    Join Date
    Aug 2004
    Location
    California
    Posts
    771

    Re: NextGen COLLADA + Maya 2008 on Mac: Won't export Constraints

    Quote Originally Posted by telene
    ATTEMPT #2
    I searched some more online, and found the following page which suggested that Mac users install the COLLADAMaya NextGen (Beta). The suggestion is for Maya 2009 users, which I am not. However, seeing that I had no success with the 3.05B release, I decided to try this option.
    http://dev.papervision3d.org/2008/05/02 ... dia-cg-20/

    I'm a bit confused by this, as I've successfully exported fully rigged (complete with a constrained control rig) via COLLADA through Maya before. This was at my previous job, and I was on a PC vs. a Mac, but I don't see why that should make a difference.
    Since this plug-in is still in Beta, I expect the support hasn't been implemented yet. I expect that Sebastian can reply with more details about this.

    Assuming you can get the 3.05B plug-in to install correctly, it has the skinning support you are looking for right now.

  4. #4
    Junior Member
    Join Date
    May 2009
    Location
    San Francisco, CA, USA
    Posts
    4

    Re: NextGen COLLADA + Maya 2008 on Mac: Won't export Constraints

    Thanks, Marcus. I will definitely post to Feeling Software's forum about the 3.05B install issue, and I appreciate your insight into the constraint issue likely being due to the NextGen version's beta state.

    Appreciate it!
    --
    Telene Johnston
    3D Artist
    http://vulpinedesign.com/

  5. #5
    Junior Member
    Join Date
    May 2009
    Location
    San Francisco, CA, USA
    Posts
    4

    Re: NextGen COLLADA + Maya 2008 on Mac: Won't export Constraints

    Ahh.. turns out Feeling Software no longer offers support for users of the Free version:
    http://www.feelingsoftware.com/componen ... ,boardseen

    Bummer. Money rules, I suppose..

    Thx anyhow!
    --
    Telene Johnston
    3D Artist
    http://vulpinedesign.com/

  6. #6

    Re: NextGen COLLADA + Maya 2008 on Mac: Won't export Constraints

    A specialized plugin is available from NVIDIA
    http://developer.download.nvidia.com...User_Guide.pdf
    The nextGen/OpenCOLLADA based plugins don't support constraints yet.

  7. #7
    Senior Member
    Join Date
    Aug 2004
    Location
    California
    Posts
    771

    Re: NextGen COLLADA + Maya 2008 on Mac: Won't export Constraints

    I read this on the FS forums and it may help you install 3.05B correctly. Give it a try... where "*" are version numbers from the install package.

    http://www.feelingsoftware.com/componen ... .0/lang,en

    My understanding of what Veronique said is:
    Code :
    Download and decompress the ColladaMaya 3.05* package on your desktop
    <Open Terminal Window>
    cd /Users/<login name>/Desktop/ColladaMaya_FREE_OSX_3.05*
    ./MacInstallColladaMaya*Release.sh
    • If Maya wasn't installed in /Applications/Autodesk/maya*, then modify the MacInstallColladaMaya*Release.sh script and change all '/Applications/Autodesk/maya*' (e.g. lines 4, 5 and 6) to the Maya* install path that's on your Mac.[/*:m:260uru0u]

  8. #8
    Junior Member
    Join Date
    May 2009
    Location
    San Francisco, CA, USA
    Posts
    4

    Re: NextGen COLLADA + Maya 2008 on Mac: Won't export Constraints

    Sebastian: Thanks for the link to the Nvidia plugin, but unfortunately, it is currently only available for Windows (I'm on a Mac & do not have a Windows operating system installed).

    Marcus: I've basically already run through those exact instructions for installing COLLADA 3.05*, and it won't work for me.

    I've created screenshots to illustrate the important steps of the process while I try to install 3.05*. Allow me to post links to the images, with a description, of me following Veronique's instructions:

    Code :
    Download and decompress the ColladaMaya 3.05* package on your desktop
    <Open Terminal Window>
    cd /Users/<login name>/Desktop/ColladaMaya_FREE_OSX_3.05*
    ./MacInstallColladaMaya*Release.sh

    Here's a screenshot of my Terminal window after following these instructions exactly. I've circled (in yellow) the line that gives an error:


    I poked around inside of the MacInstallColladaMaya*Release.sh file, and found that the first line shows the following:


    The problem with this line of code is that this subdirectory named "Output" does not exist within the downloaded ColladaMaya_OSX_3.05B folder on my desktop. There is, however, a subdirectory named "build" that holds within it the appropriate files & folders:


    Therefore, I decided to modify the code to reflect this name:


    After running this modified script in Terminal, it looks as though I'm met with success (no error messages), and the bundle appears to be in place:


    However, when I open Maya and go to the Plugin Manager, I am unable to check the "Loaded" box:


    Here's the Maya Script Editor error that occurs when I try to check the "Loaded" box (as illustrated above):


    Hopefully this will offer some clarity to the situation, and I sincerely hope someone can help me understand how to remedy it!

    Many thanks :)
    --
    Telene Johnston
    3D Artist
    http://vulpinedesign.com/

  9. #9
    Senior Member
    Join Date
    Aug 2004
    Location
    California
    Posts
    771

    Re: NextGen COLLADA + Maya 2008 on Mac: Won't export Constraints

    Yes that's helpful information. From the linkage error it appears that plug-in bundle is not linking against your version of Maya.

    Are you able to checkout from sourceforge and compile the source against your Maya installation?

  10. #10
    stevenjbarnes
    Guest

    Re: NextGen COLLADA + Maya 2008 on Mac: Won't export Constraints

    Hi telene:

    I was struggling with an identical issue, and stumbled on something that might help you out. After checking, I found that the .sh script did not actually copy the MEL scripts and the icons from the scripts folder in the distribution to the scripts folder in the Maya application folder. I believe it encounters some security issues and then doesn't complete the copy. Specifically, these three lines failed to do their job (your app folders might look a little different):

    sudo cp scripts/AE* /Applications/Alias/MAYA 8.0/Maya.app/Contents/scripts/AETemplates/
    sudo cp scripts/collada* /Applications/Alias/MAYA 8.0/Maya.app/Contents/scripts/others/
    sudo cp scripts/*.xpm /Applications/Alias/MAYA 8.0/Maya.app/Contents/icons/

    So I manually copied the above scripts and icons to their specified destinations and then the plugin worked fine (and I was able to check the loaded box)--so far: I haven't used it yet (going to bed now).

    steven

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •